/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VIsVariable;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VIsVariableRecord extends TableRecordImpl<VIsVariableRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_is_variable.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_is_variable.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_is_variable.dn</code>.
     */
    public void setDn(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_is_variable.dn</code>.
     */
    public String getDn() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VIsVariableRecord
     */
    public VIsVariableRecord() {
        super(VIsVariable.V_IS_VARIABLE);
    }

    /**
     * Create a detached, initialised VIsVariableRecord
     */
    public VIsVariableRecord(Integer keyElement, String dn) {
        super(VIsVariable.V_IS_VARIABLE);

        setKeyElement(keyElement);
        setDn(dn);
        resetChangedOnNotNull();
    }
}
